# -*- encoding: utf-8 -*-
# stub: ms_rest_azure 0.11.2 ruby lib

Gem::Specification.new do |s|
  s.name = "ms_rest_azure".freeze
  s.version = "0.11.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/Azure/azure-sdk-for-ruby/issues", "changelog_uri" => "https://github.com/Azure/azure-sdk-for-ruby/blob/master/runtime/ms_rest_azure/CHANGELOG.md", "documentation_uri" => "https://azure.microsoft.com/en-us/develop/ruby/", "homepage_uri" => "https://aka.ms/azure-sdk-for-ruby", "source_code_uri" => "https://github.com/Azure/azure-sdk-for-ruby/tree/ms_rest_azure-v0.11.2" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Microsoft Corporation".freeze]
  s.date = "2023-09-05"
  s.description = "Azure Client Library for Ruby.".freeze
  s.email = "azsdkteam@microsoft.com".freeze
  s.files = ["CHANGELOG.md".freeze, "LICENSE.txt".freeze, "README.md".freeze, "lib/ms_rest_azure".freeze, "lib/ms_rest_azure.rb".freeze, "lib/ms_rest_azure/active_directory_service_settings.rb".freeze, "lib/ms_rest_azure/async_operation_status.rb".freeze, "lib/ms_rest_azure/azure_cli_error.rb".freeze, "lib/ms_rest_azure/azure_environment.rb".freeze, "lib/ms_rest_azure/azure_operation_error.rb".freeze, "lib/ms_rest_azure/azure_operation_response.rb".freeze, "lib/ms_rest_azure/azure_service_client.rb".freeze, "lib/ms_rest_azure/cloud_error_data.rb".freeze, "lib/ms_rest_azure/common".freeze, "lib/ms_rest_azure/common/configurable.rb".freeze, "lib/ms_rest_azure/common/default.rb".freeze, "lib/ms_rest_azure/credentials".freeze, "lib/ms_rest_azure/credentials/application_token_provider.rb".freeze, "lib/ms_rest_azure/credentials/azure_cli_token_provider.rb".freeze, "lib/ms_rest_azure/credentials/cognitive_services_credentials.rb".freeze, "lib/ms_rest_azure/credentials/msi_token_provider.rb".freeze, "lib/ms_rest_azure/credentials/topic_credentials.rb".freeze, "lib/ms_rest_azure/final_state_via.rb".freeze, "lib/ms_rest_azure/polling_state.rb".freeze, "lib/ms_rest_azure/serialization.rb".freeze, "lib/ms_rest_azure/typed_error_info.rb".freeze, "lib/ms_rest_azure/version.rb".freeze]
  s.homepage = "https://aka.ms/ms_rest_azure".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Azure Client Library for Ruby.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_runtime_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<unf_ext>.freeze, ["< 1"])
    s.add_runtime_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_runtime_dependency(%q<faraday-cookie_jar>.freeze, ["~> 0.0.6"])
    s.add_runtime_dependency(%q<ms_rest>.freeze, ["~> 0.7.6"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 10.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.3"])
    s.add_dependency(%q<concurrent-ruby>.freeze, ["~> 1.0"])
    s.add_dependency(%q<unf_ext>.freeze, ["< 1"])
    s.add_dependency(%q<faraday>.freeze, ["< 3"])
    s.add_dependency(%q<faraday-cookie_jar>.freeze, ["~> 0.0.6"])
    s.add_dependency(%q<ms_rest>.freeze, ["~> 0.7.6"])
  end
end
